Bug 121989 - buffer layer error at fs/buffer.c:2861
buffer layer error at fs/buffer.c:2861
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 11:50 EDT by Ivo Sarak
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 00:54:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-04-29 11:50:07 EDT
Description of problem:
ext3 crash.

Version-Release number of selected component (if applicable):
(This is vanilla FC2 Test3, no updates.)
kernel-2.6.5-1.327

How reproducible:
I haven't tried.

Steps to Reproduce:
1. Install FC2 Test3 and use ext3 FS;
2. Copy files around;
  
Actual results:
buffer layer error at fs/buffer.c:2861
Call Trace:
 [<02161786>] drop_buffers+0x7f/0xb9
 [<02161892>] try_to_free_buffers+0xd2/0x168
 [<2287d016>] journal_try_to_free_buffers+0xc1/0xce [jbd]
 [<228d2600>] ext3_releasepage+0x0/0x54 [ext3]
 [<0215fcfa>] try_to_release_page+0x34/0x46
 [<021465db>] shrink_list+0x319/0x5d3
 [<02146b15>] shrink_cache+0x280/0x557
 [<02146140>] shrink_slab+0x70/0x150
 [<02147681>] shrink_zone+0x50/0x86
 [<021479a4>] balance_pgdat+0x131/0x216
 [<02147b77>] kswapd+0xee/0xf0
 [<0211bc33>] autoremove_wake_function+0x0/0x28
 [<0211bc33>] autoremove_wake_function+0x0/0x28
 [<02147a89>] kswapd+0x0/0xf0
 [<021041d9>] kernel_thread_helper+0x5/0xb

Expected results:
No problems.

Additional info:
Comment 1 Dave Jones 2004-06-14 21:00:03 EDT
do you still see this with the current errata kernel ?
Comment 2 Ivo Sarak 2004-06-15 13:17:22 EDT
I am currently running kernel-2.6.6-1.427 and I haven't seen this again.

Note You need to log in before you can comment on or make changes to this bug.